| Home | Libraries | People | FAQ | More

###### row::operator== (3 of 3 overloads)

###### Synopsis

    bool
    operator==(
        const row_view& lhs,
        const row& rhs);

###### Description

Equality operator. The containers are considered equal if they have the same number of elements and they all compare equal, as defined by `field_view::operator==`.

###### Exception safety

No-throw guarantee.

###### Complexity

Linear in `lhs.size()` and `rhs.size()`.